package com.bjsxt.servlet;

import com.sun.xml.internal.ws.transport.http.HttpAdapter;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

@WebServlet(urlPatterns = "initparam.do",initParams = {@WebInitParam(name="key1",value = "value1")},loadOnStartup = 1)
public class InitParamServlet extends HttpServlet {
    @Override
    public void init() throws ServletException {
        ServletConfig servletConfig = this.getServletConfig();//获得配置
        System.out.println(servletConfig.getInitParameter("key1"));
    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        ServletConfig servletConfig = this.getServletConfig();
        PrintWriter out = resp.getWriter();
        //XML规范↓
        out.println("<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>");
        out.println("<HTML>");
        out.println("<HEAD><TITLE> ITBZ </TITLE><HEAD>");
        out.println("<BODY>");
        out.println("value:"+servletConfig.getInitParameter("key1")+"<br/>");
        out.println("</BODY>");
        out.println("</HTML>");
        //XML规范↑
        out.flush();
        out.close();
    }
}
